Mybe it's bug after update AdRotate Pro

Home Forums AdRotate for WordPress Bug Reports Mybe it's bug after update AdRotate Pro

This topic contains 4 replies, has 2 voices, and was last updated by  Arnan 3 weeks ago.

  • #75829

    ana
    Badges:

    Hello,
    Wordfance reports

    [Jun 30 21:03:29] Fatal error: Uncaught Error: Cannot use object of type WP_Error as array in /home/cordmaga/public_html/wp-content/plugins/adrotate-pro/library/update-api.php:56 Stack trace: #0 /home/cordmaga/public_html/wp-includes/class-wp-hook.php(288):

    Can you help me with this?

    Thanks

    #75837

    ana
    Badges:

    This happened after AdRotate Pro was updated a few days ago.

    More details:

    Error Details
    =============
    An error of type E_ERROR was caused in line 56 of the file /home/cordmaga/public_html/wp-content/plugins/adrotate-pro/library/update-api.php. Error message: Uncaught Error: Cannot use object of type WP_Error as array in /home/cordmaga/public_html/wp-content/plugins/adrotate-pro/library/update-api.php:56
    Stack trace:
    #0 /home/cordmaga/public_html/wp-includes/class-wp-hook.php(288): adrotate_update_check(Object(stdClass))
    #1 /home/cordmaga/public_html/wp-includes/plugin.php(208): WP_Hook->apply_filters(Object(stdClass), Array)
    #2 /home/cordmaga/public_html/wp-includes/option.php(1783): apply_filters(‘site_transient_…’, Object(stdClass), ‘update_plugins’)
    #3 /home/cordmaga/public_html/wp-includes/update.php(648): get_site_transient(‘update_plugins’)
    #4 /home/cordmaga/public_html/wp-includes/admin-bar.php(998): wp_get_update_data()
    #5 /home/cordmaga/public_html/wp-includes/class-wp-hook.php(286): wp_admin_bar_updates_menu(Object(WP_Admin_Bar))
    #6 /home/cordmaga/public_html/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)
    #7 /home/cordmaga/public_html/wp-includes/plugin.php(531): WP_Hook->do_action(Array)
    #8 /home/cordmaga/public_html/wp-inclu

    #75838

    Arnan
    Badges:

    Hi Ana,

    There is a bit of a incompatibility with older PHP versions.
    You probably have version 5.2 or 5.3 or something like that. Nothing wrong with that, but the method used on that line 56 doesn’t work on it apparently. I already fixed that for the next version.

    If you want you can re-upload the plugin (from a new download) overwriting the current version.
    To do so please follow the (s)FTP instructions here: https://ajdg.solutions/support/adrotate-manuals/upgrade-adrotate-pro-to-a-newer-version/
    If you upload all files in one go you don’t need to disable the plugin.

    #75852

    ana
    Badges:

    Hello,
    But, 7.2 is a version of PHP on site.

    https://prnt.sc/o8xxsh

    Thanks for solution.

    #75926

    Arnan
    Badges:

    I have released version 5.2.1 on July 1st which will fix the problem.

    If the automatic update doesn’t work then please follow the instructions here to do a manual update: https://ajdg.solutions/support/adrotate-manuals/upgrade-adrotate-pro-to-a-newer-version/.
    If you upload all files in one go you don’t need to disable the plugin – This saves a bit of time and prevents gaps in your advert display.

    Let me know if you run into further trouble.

Viewing 5 posts - 1 through 5 (of 5 total)

You must be logged in to reply to this topic.

You may be interested in